Installez py2exe pour python 2.7 sur pip: ce paquet nécessite Python 3.3 ou ultérieur

>>> python -c "import sys; print sys.version" 2.7.6 (default, Nov 10 2013, 19:24:18) [MSC v.1500 32 bit (Intel)] >>> pip --version pip 1.5.5 from C:\Python27\lib\site-packages (python 2.7) >>> pip install py2exe  RuntimeError: This package requires Python 3.3 or later 

Bien que la page de téléchargement officielle de py2exe indique qu’ils ont exactement ce dont j’ai besoin:

capture d'écran

Alors, comment installer py2exe sur pip?

Il manque sur pypi , si vous cliquez sur le lien 0.6.9 qui vous amène au paquet 0.9.2.0 python 3, il ne semble pas y 0.6.9 paquet 0.6.9 disponible pour le téléchargement.

Essayez d’utiliser pip install http://sourceforge.net/projects/py2exe/files/latest/download?source=files

Il y a aussi une roue de py2exe disponible pour Python 2.x: py2exe_py2 0.6.9

Vous pouvez le faire: pip install py2exe_py2

Lien Pypi .

Vous pouvez essayer d’utiliser pip3. Ou si pip3 n’est pas installé ou introuvable, essayez: python3 -m pip install py2exe .

Source: https://superuser.com/a/942338/315157

J’utilise Anacona et j’installe py2.7 via sa fonctionnalité d’environnement, donc les réponses précédentes ne m’ont pas aidé.

 --------------------------- Cannot install --------------------------- Python version 2.7 required, which was not found in the registry. 

Voici la commande que j’ai utilisée, elle peut installer py2exe via la ligne de commande.

 pip install https://nchc.dl.sourceforge.net/project/py2exe/py2exe/0.6.9/py2exe-0.6.9.zip ... Successfully installed py2exe-0.6.9 

Cause py2exe nécessite Microsoft Visual C ++ 9.0, donc avant l’installation, vous devez le télécharger et l’installer, par commodité, via ce lien

J’espère que cela pourrait être utile, Thx.

vous pouvez directement télécharger py2exe pour python 2.7 à partir d’ ici